Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.io.datastore.schema.content
Class FieldContent

    java.lang.Object
      org.deegree.io.datastore.schema.content.FieldContent

All Implemented Interfaces:
  FunctionParam

    public class FieldContent

extends Object
implements FunctionParam

Describes the parameter of a `FunctionCall`.

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Markus Schneider, last edited by: $Author: mschneider $

Constructor Summary
`FieldContent(MappingField field, TableRelation[] tablePath)` Creates a new `FieldContent` instance.

Method Summary
`MappingField` | `getField()` Returns the `MappingField` that is used as the source of the data.
`TableRelation[]` | `getTablePath()` Returns the `TableRelation`s that lead from the table that is associated with the `FunctionCall` to the `MappingField`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FieldContent

    public FieldContent(MappingField field,
                        TableRelation[] tablePath)

  Creates a new `FieldContent` instance.

  Parameters:
    `field` -
    `tablePath` -

Method Detail

### getField

    public MappingField getField()

  Returns the `MappingField` that is used as the source of the data.

  Returns:
    the MappingField that is used as the source of the data

### getTablePath

    public TableRelation[] getTablePath()

  Returns the `TableRelation`s that lead from the table that is associated with the `FunctionCall` to the `MappingField`.

  Returns:
    table path from FunctionCall table to MappingField table

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org